QGIS Application - Bug report #6045
postgis: duplicate key when merging polygons
2012-07-15 04:05 PM - William Kyngesburye

Status: Closed

Priority: Normal

Assignee:

Category: Data Provider/PostGIS

Affected QGIS version:1.8.0
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution:

Copied to github as #: 15414

Description

When merging features (polygons) in a PostGIS database, when | save changes | get a duplicate key error. I'm copying attributes from
one of the merged polygons, including the primary key. It looks like what is happening in the save is that QGIS first adds new features
(the merged polygon is counted as new), then deletes old features (the pre-merged pieces). If | save a second time, there is no error

because the old pieces have now been deleted.

Related issues:

Duplicates QGIS Application - Bug report # 5758: Primary key issue when using...

Closed 2012-06-07

History

#1 - 2012-09-04 12:07 PM - Paolo Cavallini
- Target version set to Version 2.0.0

#2 - 2012-10-11 12:58 PM - Julien Lamarche

- Status changed from Open to Closed

The duplicate #5758 has been resolved.
